%define name 	songwrite
%define version	0.14
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Guitar tabulature editor with playing and printing
Version: 	%{version}
Release: 	%{release}

Source:		http://download.gna.org/songwrite/Songwrite-%{version}.tar.bz2
URL:		http://home.gna.org/oomadness/en/songwrite
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
Requires:	python editobj TiMidity++ lilypond

BuildArch:	noarch

%description
Songwrite is a tablature (guitar partition) editor.
Songwrite is coded in Python and uses Tk (Tkinter); it relies on Timidity to
play midi and on GNU Lilypond for printing. 

%prep
%setup -q -n Songwrite-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Songwrite" longtitle="Guitar TAB editor" section="Multimedia/Sound" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Songwrite
Comment=Guitar TAB editor
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README CHANGES AUTHORS 
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/locale/*/*/%name.po

%changelog
* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.14-1mdv2007.0
- 0.14
- %%mkrel
- fix URL
- xdg menu
- use provided icon

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.13-1mdk
- 0.13
- source URL

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.12-1mdk
- 0.12
- noarch

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.4.2-2mdk
- fix Requires (Olivier's bot is awesome!)

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- initial package
